Bug 171161 - kernel panic not mounting /dev/root
kernel panic not mounting /dev/root
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-10-18 16:26 EDT by Jason
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-19 10:26:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason 2005-10-18 16:26:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051008 Fedora/1.5-0.5.0.beta2 Firefox/1.4.1

Description of problem:
I get the following kernel panic when I boot kernel 1616.  I do not get this panic using 1615.

mount: error No such device or address mounting /dev/root on /sysroot as ext3
setting up other file systems.
setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: no such file or directory
setuproot: error mounting /sys: no such file or directory
switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failted: no such file or directory
kernel panic - not syncing: attempted to kill init!
[<c011fca8>] panic+0x45/0x1c4
[<c0120f15>] profile_task_exit+0x35/0x48
[<c0122a7b>] do_exit+0x35e/0x3ad
[<c0156e3e>] do_munmap+0xcc/0x100
[<c0122b1f>] do_group_exit+0x29/0x90
[<c0102edd>] syscall_call+0x7/0xb

I have an adaptec 2930U2 scsi card with 2 hard drives attached.  I have a tyan tiger 100 motherboard with 384MB of RAM.  The kernel starts to boot, loads the selinux contects and then the above happens.  


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. do a yum update
2. reboot

Actual Results:  kernel panic

Expected Results:  the system should boot

Additional info:
Comment 1 Dave Jones 2005-10-19 00:43:26 EDT
mkinitrd bug. should be fixed tomorrow.
Comment 2 Jason 2005-10-19 10:26:29 EDT
It is fixed.  Thanks for the quick response.

Note You need to log in before you can comment on or make changes to this bug.